<?php

class Magic_Post_Thumbnail_WP_All_Import {

    public function __construct() {

      require_once( dirname( ( __FILE__ ) ) . '/rapid-addon.php' );

      $mpt_addon = new RapidAddon('Magic Post Thumbnail', 'mpt');
      $mpt_addon->add_field( 'enable-mpt', 'Enable Magic Post Thumbnail ?', 'radio', array('' => 'No', '1' => 'Yes' ) );
      $mpt_addon->set_import_function( array( &$this, 'MPT_launch_wpallimport' ) );
      $mpt_addon->run();
    }


    /* WP All Import call */
    public function MPT_launch_wpallimport( $post_id, $data, $import_options ) {

      global $ar_wpallimport;

      if( $data['enable-mpt'] == 1 ) {
        // Launch the plugin on import if the option is selected
        add_action( 'pmxi_saved_post',  array( &$this, 'MPT_fired_wpallimport' ), 10, 3 );
      }
    }

    /* WP All Import saved post fired */
    public function MPT_fired_wpallimport( $post_id, $xml_node, $is_update  ) {

      global $ar_wpallimport;

      // Check if post image not already generated
      if( !in_array( $post_id, $ar_wpallimport ) ) {
        $ar_wpallimport[] = $post_id;

        $generate_image = new Magic_Post_Thumbnail();
        $launch_MPT     = new Magic_Post_Thumbnail_Generation( $generate_image->get_plugin_name(), $generate_image->get_version() );
        $MPT_return     = $launch_MPT->MPT_create_thumb( $post_id, '0', '0', '0' );
      }
    }
}
