<?php
if ( ! function_exists( 'add_filter' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
		exit();
}
?>

<tr valign="top">
	<td colspan="2">
		<div class="update-nag">
			<?php _e('<b>It\'s required</b> to provide your own Pexels <b>API Key</b>. You must follow the process. Registration is <a target="_blank" href="https://www.pexels.com/join-consumer/">here</a>. Application creation and <a target="_blank" href="https://www.pexels.com/api/new/">API Id are on this page</a>.', 'mpt' ); ?>
		</div>
	</td>
</tr>

<tr valign="top">
	<th scope="row">
		<label for="hseparator"><?php esc_html_e( 'API Key', 'mpt' ); ?></label>
	</th>
	<td id="password-pexels" class="password">
		<input type="password" name="MPT_plugin_banks_settings[pexels][apikey]" class="form-control" value="<?php echo( isset( $options['pexels']['apikey'] ) && !empty( $options['pexels']['apikey']) )? $options['pexels']['apikey']: ''; ?>" >
		<i id="togglePassword"></i>
	</td>
</tr>
<tr valign="top">
	<td colspan="2">
		<button class="btn btn-primary" id="btnPexels" onclick="return false;">
			<?php esc_html_e( 'API testing', 'mpt' ); ?>
		</button>
		<span id="resultPexels"><img src="<?php echo plugin_dir_url( __FILE__ ); ?>../../../img/loader-mpt.gif" width="32" class="hidden"/></span>
	</td>
</tr>

<tr valign="top">
	<th scope="row">
		<label for="hseparator"><?php esc_html_e( 'Choose the language', 'mpt' ); ?></label>
	</th>
	<td>
		<select name="MPT_plugin_banks_settings[pexels][search_country]" class="form-control" >
			<?php
				$selected = $options['pexels']['search_country'];
				if( !$selected ) {
					$selected = 'en-US';
				}

				$country_choose = array(
					esc_html__( 'Czech', 'mpt' )				=> 'cs-CZ',
					esc_html__( 'Danish', 'mpt' )				=> 'da-DK',
					esc_html__( 'German', 'mpt' )				=> 'de-DE',
					esc_html__( 'English', 'mpt' )			=> 'en-US',
					esc_html__( 'Spanish', 'mpt' )			=> 'es-ES',
          esc_html__( 'Catalan', 'mpt' )			=> 'ca-ES',
					esc_html__( 'French', 'mpt' )				=> 'fr-FR',
					esc_html__( 'Indonesian', 'mpt' )		=> 'id-ID',
					esc_html__( 'Italian', 'mpt' )			=> 'it-IT',
					esc_html__( 'Hungarian', 'mpt' )		=> 'hu-HU',
					esc_html__( 'Dutch', 'mpt' )				=> 'nl-NL',
					esc_html__( 'Norwegian', 'mpt' )		=> 'nb-NO',
					esc_html__( 'Polish', 'mpt' )				=> 'pl-PL',
					esc_html__( 'Portuguese', 'mpt' )		=> 'pt-BR',
					esc_html__( 'Romanian', 'mpt' )			=> 'ro-RO',
					esc_html__( 'Slovak', 'mpt' )				=> 'sk-SK',
					esc_html__( 'Finnish', 'mpt' )			=> 'fi-FI',
					esc_html__( 'Swedish', 'mpt' )			=> 'sv-SE',
					esc_html__( 'Turkish', 'mpt' )			=> 'tr-TR',
					esc_html__( 'Vietnamese', 'mpt' )		=> 'vi-VN',
					esc_html__( 'Thai', 'mpt' )					=> 'th-TH',
					esc_html__( 'Russian', 'mpt' )			=> 'ru-RU',
          esc_html__( 'Ukrainian', 'mpt' )	  => 'uk-UA',
					esc_html__( 'Greek', 'mpt' )				=> 'el-GR',
					esc_html__( 'Japanese', 'mpt' )			=> 'ja-JP',
					esc_html__( 'Korean', 'mpt' )				=> 'ko-KR',
					esc_html__( 'Chinese', 'mpt' )			=> 'zh-CN',
          esc_html__( 'Chinese (Taiwan)', 'mpt' )			=> 'zh-TW'
				);
				ksort( $country_choose );

				foreach( $country_choose as $name_country => $code_country ) {
					$choose=($selected == $code_country)?'selected="selected"': '';
					echo '<option '. $choose .' value="'. $code_country .'">'. $name_country .'</option>';
				}
			?>
		</select>
	</td>
</tr>

<tr valign="top">
	<th scope="row">
		<label for="hseparator"><?php esc_html_e( 'Orientation', 'mpt' ); ?></label>
	</th>
	<td>
		<select name="MPT_plugin_banks_settings[pexels][orientation]" class="form-control" >
			<?php
			$selected = $options['pexels']['orientation'];

			$orientation = array(
        esc_html__( 'All', 'mpt' )        => 'all',
				esc_html__( 'Landscape', 'mpt' )  => 'landscape',
				esc_html__( 'Portrait', 'mpt' )   => 'portrait',
        esc_html__( 'Square', 'mpt' )     => 'square'
			);

			foreach( $orientation as $name_orientation => $code_orientation ) {
				$choose=($selected == $code_orientation)?'selected="selected"': '';
				echo '<option '. $choose .' value="'. $code_orientation .'">'. $name_orientation .'</option>';
			}
			?>
		</select>
	</td>
</tr>

<tr valign="top">
	<th scope="row">
		<label for="hseparator"><?php esc_html_e( 'Resolution', 'mpt' ); ?></label>
	</th>
	<td>
		<select name="MPT_plugin_banks_settings[pexels][size]" class="form-control" >
			<?php
			$selected = $options['pexels']['size'];

			$size = array(
        esc_html__( 'Small (4MP)', 'mpt' )     => 'small',
        esc_html__( 'Medium (12MP)', 'mpt' )   => 'medium',
				esc_html__( 'Large (24MP)', 'mpt' )    => 'large'
			);

			foreach( $size as $name_size => $code_size ) {
				$choose=($selected == $code_size)?'selected="selected"': '';
				echo '<option '. $choose .' value="'. $code_size .'">'. $name_size .'</option>';
			}
			?>
		</select>
    <i><?php esc_html_e( 'Minimum photo size', 'mpt' ); ?></i>
	</td>
</tr>

<tr valign="top">
	<td colspan="2">
		<hr/>
	</td>
</tr>
